org.apache.cassandra.utils.btree

## Class BTreeSet.BTreeDescRange<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.BTreeSet<V>
  - - org.apache.cassandra.utils.btree.BTreeSet.BTreeRange<V>
    - - org.apache.cassandra.utils.btree.BTreeSet.BTreeDescRange<V>

All Implemented Interfaces:
  java.lang.Iterable<V>, java.util.Collection<V>, java.util.NavigableSet<V>, java.util.Set<V>, java.util.SortedSet<V>

Enclosing class:
  BTreeSet<V>

    public static class BTreeSet.BTreeDescRange<V>
    extends BTreeSet.BTreeRange<V>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.btree.BTreeSet

`BTreeSet.BTreeDescRange<V>, BTreeSet.BTreeRange<V>`

### Field Summary

### Fields inherited from class org.apache.cassandra.utils.btree.BTreeSet.BTreeRange

`inclusiveLowerBound, inclusiveUpperBound, lowerBound, upperBound`

### Fields inherited from class org.apache.cassandra.utils.btree.BTreeSet

`comparator, tree`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.NavigableSet<V>` `descendingSet()`
`java.util.NavigableSet<V>` `headSet(V toElement, boolean inclusive)`
`protected Cursor<V,V>` `slice(boolean forwards, boolean permitInversion)`
`java.util.NavigableSet<V>` `subSet(V fromElement, boolean fromInclusive, V toElement, boolean toInclusive)`
`java.util.NavigableSet<V>` `tailSet(V fromElement, boolean inclusive)`

### Methods inherited from class org.apache.cassandra.utils.btree.BTreeSet

`add, addAll, ceiling, clear, comparator, contains, containsAll, descendingIterator, first, floor, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, removeAll, retainAll, size, subSet, tailSet, toArray, toArray, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.NavigableSet

`ceiling, descendingIterator, floor, headSet, higher, iterator, lower, pollFirst, pollLast, subSet, tailSet`

### Methods inherited from interface java.util.SortedSet

`comparator, first, last, spliterator`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### slice

    protected Cursor<V,V> slice(boolean forwards,
                                boolean permitInversion)

Overrides:
  `slice` in class `BTreeSet.BTreeRange<V>`

#### subSet

    public java.util.NavigableSet<V> subSet(V fromElement,
                                            boolean fromInclusive,
                                            V toElement,
                                            boolean toInclusive)

Specified by:
  `subSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `subSet` in class `BTreeSet.BTreeRange<V>`

#### headSet

    public java.util.NavigableSet<V> headSet(V toElement,
                                             boolean inclusive)

Specified by:
  `headSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `headSet` in class `BTreeSet.BTreeRange<V>`

#### tailSet

    public java.util.NavigableSet<V> tailSet(V fromElement,
                                             boolean inclusive)

Specified by:
  `tailSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `tailSet` in class `BTreeSet.BTreeRange<V>`

#### descendingSet

    public java.util.NavigableSet<V> descendingSet()

Specified by:
  `descendingSet` in interface `java.util.NavigableSet<V>`
Overrides:
  `descendingSet` in class `BTreeSet.BTreeRange<V>`